function ret = calculateClausingFactor(this)
    
    ClausingFactorApproximation = (8 * this.NozzleRadius) / (3 * this.NozzleLength);
    
    alpha = 0.5 - (3*this.Beta^2)^-1 * ((1 - (2*this.Beta^3) + ((2*this.Beta^2) - 1) * sqrt(1+this.Beta^2)) / (sqrt(1+this.Beta^2) - (this.Beta^2 * asinh((this.Beta^2)^-1))));
    ClausingFactorAnalytic   = 1 + (2/3) * (1 - (2 * alpha)) * (this.Beta - sqrt(1 - this.Beta^2)) + (2/3) * (1 + alpha) * this.Beta^(-2) * (1 - sqrt(1 + this.Beta^2));
    
    ret = ClausingFactorAnalytic;
end